.login-form {
    width: 360px;
    height: 360px;
    border-radius: 10px;
    background-color: white;
    padding: 10px;
}

.group {
    margin-top: 60px;
    margin-bottom: 10px;
}

.input_box{
    font-size: 16px;
    width: 100%;
    border: none;
    outline: none;
    padding-bottom: 8px;
    box-sizing: border-box; /*横幅の解釈をpadding, borderまでとする*/
}

.text_underline{
    position: relative; /*.text_underline::beforeの親要素*/
    border-top: 1px solid rgb(139, 139, 139); /*text3の下線*/
}

/* 共通のstyle */
.text_underline::before,
.text_underline::after{
    position: absolute; 
    bottom: 0px; /*中央配置*/
    width: 0px; /*アニメーションで0pxから50%に*/
    height: 1px; /*高さ*/
    content: '';
    background-color: rgb(172, 14, 14); /*アニメーションの色*/
    transition: all 0.5s;
    -webkit-transition: all 0.5s;
}

/*中央から右へのアニメーション*/
.text_underline::before{
    left: 50%; /*中央配置*/
}

/*中央から左へのアニメーション*/
.text_underline::after{ 
    right: 50%; /*中央配置*/
}

.input_box:focus + .text_underline::before,
.input_box:focus + .text_underline::after{
    width: 50%;
}

.button_area {
    position: relative;
    display: flex;
}

.create_Btn {
    position:absolute;
    top: 50%;
}

.login_Btn {
    position:absolute;
    right: 0%;
}